# Rise AWS Foundation

![GitHub CI status](https://github.com/rise-cli/rise-aws-foundation/actions/workflows/test.yml/badge.svg)

The aws sdk gives us a lot of power and options. This is a good thing, but can also
be overwhelming. The purpose of this project is to provide a layer on top of the sdk that is:

-   opinionated
-   focused
-   stable

The goal is to change the experience of building with aws. Instead of feeling heavy and complicated, the aim is to make building with aws feel light and simple.

## Installation

You can use aws foundation in your project by npm installing it:

```bash
npm i rise-aws-foundation
```

## Services

-   [How to](./_docs/howto.md)
-   [Cloudformation](./_docs/cloudformation.md)
-   [Cognito](./_docs/cognito.md)
-   [DynamoDB](./_docs/db.md)
-   [Eventbridge](./_docs/eventBridge.md)
-   [Lambda](./_docs/lambda.md)
-   [S3](./_docs/s3.md)
